Camera = {
	pos = {x = 0, y = 0},
	width = 0,
	height = 0
}

function Camera:positionCenterAt(x,y,cx,cy)
	self.pos.x = x-self.width/game.scale/2
	self.pos.y = y-self.height/game.scale/2
	if not (cx == nil or cy == nil) then
		cx = cx - self.width
		cy = cy - self.height
		if self.pos.x > cx then self.pos.x = cx end
		if self.pos.y > cy then self.pos.y = cy end
		if self.pos.x < 0 then self.pos.x = 0 end
		if self.pos.y < 0 then self.pos.y = 0 end
	end
	self.pos.x = math.floor(self.pos.x)
	self.pos.y = math.floor(self.pos.y)
end

function Camera:positionAt(x,y)
	self.pos.x = math.floor(x/self.width)*self.width
	self.pos.y = math.floor(y/self.height)*self.height
end
